package com.cloudcross.ssp.model;

import java.util.Date;

/**
 * 账号实体表
 */
@SuppressWarnings("serial")
public class Account implements java.io.Serializable {
	
	private int id;

	private String accountName;//账号名
	
	private String roleName;//账号名

	private String password;//密码

	private String description;//说明
	
	private String realName;//真实姓名
	
	private String tel;//联系电话

	private String state;//账号状态  0 表示停用  1表示启用

	private Date createTime; //创建时间
	
	private  Integer type;//账户类型（1-云联，2-运营商，3-运营商代理，4-广告主，5-广告主代理）
	
	private Long operatorId;//运营商Id
	
	private Long agentId;//代理商Id
	
	private Long advertiserId;//广告主Id
	
	private Integer sysType;
	
	public Integer getSysType() {
		return sysType;
	}

	public void setSysType(Integer sysType) {
		this.sysType = sysType;
	}

	public String getRealName() {
		return realName;
	}

	public void setRealName(String realName) {
		this.realName = realName;
	}

	public String getTel() {
		return tel;
	}

	public void setTel(String tel) {
		this.tel = tel;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Long getOperatorId() {
		return operatorId;
	}

	public void setOperatorId(Long operatorId) {
		this.operatorId = operatorId;
	}

	public Long getAgentId() {
		return agentId;
	}

	public void setAgentId(Long agentId) {
		this.agentId = agentId;
	}

	public Long getAdvertiserId() {
		return advertiserId;
	}

	public void setAdvertiserId(Long advertiserId) {
		this.advertiserId = advertiserId;
	}


	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getAccountName() {
		return accountName;
	}

	public void setAccountName(String accountName) {
		this.accountName = accountName;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}
	/**
	 * 时间格式化
	 * @author lanyuan
	 * Email：mmm333zzz520@163.com
	 * date：2014-2-17
	 * @return
	 */
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getRoleName() {
		return roleName;
	}

	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}

	@Override
	public String toString() {
		return "Account [id=" + id + ", accountName=" + accountName
				+ ", roleName=" + roleName + ", password=" + password
				+ ", description=" + description + ", realName=" + realName
				+ ", tel=" + tel + ", state=" + state + ", createTime="
				+ createTime + ", type=" + type + ", operatorId=" + operatorId
				+ ", agentId=" + agentId + ", advertiserId=" + advertiserId
				+ ", sysType=" + sysType + "]";
	}

	
}

